echo off
cls
echo+
echo+                     Huntron Instruments, Inc.       Page 1 of 13
echo+         Huntron(R) Tracker(R) Model 5000  Copyright 1987, 1988
echo+
echo+    This installation file describes the contents of the four disks,
echo+  and will automatically setup your software as either a new installion
echo+  or as an upgrade to the Huntron Tracker Model 5000 software.
echo+
echo+  Program Disk 1 of 4 contains:  README  .BAT    KEYIN   .COM    5KLEARN .EXE
echo+                                 INSTALL .BAT    5K      .EXE    5K      .BAT
echo+                                 HARD    .BAT    5KMAIN  .EXE    CF      .2
echo+                                 
echo+  Program Disk 2 of 4 contains:  5KTREE  .EXE    5KTEST  .EXE
echo+
echo+  Program Disk 3 of 4 contains:  5KREP   .EXE    5000PASS.HII
echo+                                 5KSYS   .EXE    5000DFLT.HII
echo+                                                 COMM    .EXE
echo+
echo+  Utility Disk 4 of 4 contains:  CAL     .EXE    PT      .EXE
echo+                                 CHECK   .EXE    CVCOMP  .EXE
echo+
echo+  Each installation step gives you the option of aborting the install 
echo+  process with nondestructive results.  Begin again by restarting 
echo+  INSTALL as you did the first time.
:CHOOSE1
echo                     DO YOU WISH TO CONTINUE (Y/N)?
keyin
IF ERRORLEVEL 121 GOTO DRTYPE  REM y yes continue
IF ERRORLEVEL 110 GOTO EXIT2   REM n no quit
IF ERRORLEVEL  89 GOTO DRTYPE  REM Y yes continue
IF ERRORLEVEL  78 GOTO EXIT2   REM N no quit
GOTO CHOOSE1

:DRTYPE
cls
echo+
echo+                     Huntron Instruments, Inc.       Page 2 of 13
echo+
echo+  If you already have a previous version of Huntron Tracker Model 
echo+  5000 software installed, you may wish to utilize the configuration 
echo+  of your old system.  
echo+
echo+  If you wish to use the old configuration, complete this installation
echo+  and call Technical Support at Huntron Instruments BEFORE running the
echo+  system.
echo+
echo+
pause
echo+
echo+
echo+  What diskette drive are you running this INSTALL program from? (A or B)
:DRTYPE1
keyin
if ERRORLEVEL 100 GOTO DRTYPE1
if ERRORLEVEL  99 GOTO DRTYPE1
if ERRORLEVEL  98 GOTO BDRIVE
if ERRORLEVEL  97 GOTO ADRIVE

if ERRORLEVEL  67 GOTO DRTYPE1
if ERRORLEVEL  66 GOTO BDRIVE
if ERRORLEVEL  65 GOTO ADRIVE
GOTO DRTYPE1
:ADRIVE

GOTO STEP0

:BDRIVE
ASSIGN A=B
GOTO STEP0

:STEP0
cls
echo+
echo+                     Huntron Instruments, Inc.       Page 3 of 13
echo+
echo+  Most installations of the Huntron Tracker Model 5000 software
echo+  use hard disk drive C.  However, you many install on any of the 
echo+  following hard disk drives that your system supports.
echo+
echo+                 Hard disk drives: C D E or F
echo+  
echo+  Please indicate the letter of the drive you wish to have the 
echo+  Huntron Tracker Model 5000 software installed on.
echo+
echo+  If you get error messages saying "unable to create directory",
echo+  do not be concerned, that means you already have those subdirectories
echo+  and they will be used by this installation program.
echo+
echo         PRESS THE LETTER OF THE HARD DISK DRIVE YOU WISH TO USE.
keyin
IF ERRORLEVEL 104 GOTO STEP0
IF ERRORLEVEL 103 GOTO STEP0                             
IF ERRORLEVEL 102 GOTO STEPF    REM f install on F drive
IF ERRORLEVEL 101 GOTO STEPE    REM e install on E drive
IF ERRORLEVEL 100 GOTO STEPD    REM d install on D drive
IF ERRORLEVEL 99  GOTO STEPC    REM c install on C drive

IF ERRORLEVEL 71  GOTO STEP0
IF ERRORLEVEL 70  GOTO STEPF    REM F install on F drive
IF ERRORLEVEL 69  GOTO STEPE    REM E install on E drive
IF ERRORLEVEL 68  GOTO STEPD    REM D install on D drive
IF ERRORLEVEL 67  GOTO STEPC    REM C install on C drive
GOTO STEP0

:STEPC
C:
cd\
copy a:5k.bat
copy a:cf.2
MD 5000
CD 5000
copy a:keyin.com
copy a:hard.bat
copy a:install.bat
GOTO EXIT1

:STEPD
D:
cd\
copy a:5k.bat
copy a:cf.2
MD 5000
CD 5000
copy a:keyin.com
copy a:hard.bat
copy a:install.bat
GOTO EXIT1

:STEPE
E:
cd\
copy a:5k.bat
copy a:cf.2
MD 5000
CD 5000
copy a:keyin.com
copy a:hard.bat
copy a:install.bat
GOTO EXIT1

:STEPF
F:
cd\
copy a:5k.bat
copy a:cf.2
MD 5000
CD 5000
copy a:keyin.com
copy a:hard.bat
copy a:install.bat
GOTO EXIT1

:EXIT1
cls
echo+
echo+                     Huntron Instruments, Inc.       Page 4 of 13
echo+
echo+
echo+  If you are installing over an existing Huntron Tracker Model 5000
echo+  software system, some of the old software will not be needed and
echo+  will be deleted at this time.
echo+
echo+  If some "File not found" errors are displayed, do not be alarmed.
echo+  This is normal if the old software was not present on your system.
echo+
echo                     DO YOU WISH TO CONTINUE (Y/N)?

:OLDLOOP
keyin
IF ERRORLEVEL 121 GOTO EXIT3  REM y yes continue
IF ERRORLEVEL 110 GOTO EXIT2  REM n no quit
IF ERRORLEVEL  89 GOTO EXIT3  REM Y yes continue
IF ERRORLEVEL  78 GOTO EXIT2  REM N no quit
GOTO OLDLOOP

:EXIT3
del BRUN20.EXE
del CVTREE.EXE
del 5KDIAG.EXE
del INSTALL.EXE
HARD

:EXIT2
cls
assign
echo+
