echo off
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                    5000 VERSION 3.22              Page 1 of 10  *
echo+ *                                                                 *
echo+ *   The 5000 operating software is contained on 4 diskettes.      *
echo+ *                                                                 *
echo+ *       Disk one of four contains the following files:            *
echo+ *                                                                 *
echo+ *       README.BAT   -- This file.                                *
echo+ *       INSTALL.BAT  -- Installation file.                        *
echo+ *       HARD.BAT     -- File used by INSTALL.                     *
echo+ *       KEYIN.COM    -- File used by INSTALL.                     *
echo+ *       5K.EXE       -- Startup program for the 5000 software.    *
echo+ *       5KMAIN.EXE   -- Master menu control program.              *
echo+ *       5KLEARN.EXE  -- Learn menu control program.               *
echo+ *       5K.BAT       -- Convenience file for invoking 5K.EXE.     *
echo+ *       CF.2         -- Sets up system environment.               *
echo+ *                                                                 *
echo+ ***                                                             ***
pause
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                                                   Page 2 of 10  *
echo+ *                                                                 *
echo+ *       Disk two of the 5000 operating software                   *
echo+ *       contains the following files:                             *
echo+ *                                                                 *
echo+ *       5KTREE.EXE   -- Tree menu control program.                *
echo+ *       5KTEST.EXE   -- Test menu control program.                *
echo+ *                                                                 *
echo+ *       Disk three of the 5000 operating software                 *
echo+ *       contains the following files:                             *
echo+ *                                                                 *
echo+ *       5KREP.EXE    -- Report menu control program.              *
echo+ *       5KSYS.EXE    -- System functions menu control program.    *
echo+ *       5000PASS.HII -- The password file.                        *
echo+ *       5000DFLT.HII -- The user setting file.                    *
echo+ *       COMM.EXE     -- Communications port configuration program.*
echo+ *                                                                 *
echo+ ****                                                           ****
pause
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                                                   Page 3 of 10  *
echo+ *                                                                 *
echo+ *       Disk four of the 5000 operating software                  *
echo+ *       contains the following files:                             *
echo+ *                                                                 *
echo+ *       CAL.EXE      -- The Calibration program.                  *
echo+ *       CHECK.EXE    -- The Diagnostics program.                  *
echo+ *       PT.EXE       -- The Performance Test program.             *
echo+ *                                                                 *
echo+ *       CVCOMP.EXE   -- Upgrades Component files (v3.00 to v3.22).*
echo+ *                                                                 *
echo+ ****                                                           ****
pause
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                                                   Page 4 of 10  *
echo+ *                                                                 *
echo+ *     The user installation is now performed automatically        *
echo+ *     by executing the interactive program INSTALL.  Do NOT       *
echo+ *     refer to the installation instructions in the 5000 USER'S   *
echo+ *     MANUAL.                                                     *
echo+ *                                                                 *
echo+ *     After reading this file (README.BAT) install v3.22 of the   *
echo+ *     software by:                                                *
echo+ *                                                                 *
echo+ *     Logging onto the floppy drive containing INSTALL.           *
echo+ *                                                                 *
echo+ *     i.e. A: or B:                                               *
echo+ *                                                                 *
echo+ *     Typing INSTALL and answering the prompts.                   *
echo+ *                                                                 *
echo+ ****                                                           ****
pause
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                                                   Page 5 of 10  *
echo+ *                                                                 *
echo+ *     Before starting the calibration program (CAL.EXE), the      *
echo+ *     diagnostic program (CHECK.EXE) and the performance test     *
echo+ *     (PT.EXE) please refer to the 5000 TECHNICAL REFERENCE       *
echo+ *     MANUAL.                                                     *
echo+ *                                                                 *
echo+ *     To start the 5000 calibration enter:                        *
echo+ *                                                                 *
echo+ *                     CAL                                         *
echo+ *                                                                 *
echo+ *                                                                 *
echo+ *     To start the 5000 diagnostics enter:                        *
echo+ *                                                                 *
echo+ *                    CHECK                                        *
echo+ *                                                                 *
echo+ *                                                                 *
echo+ ****                                                           ****
pause
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                                                   Page 6 of 10  *
echo+ *                                                                 *
echo+ *     To start the 5000 performance test enter:                   *
echo+ *                                                                 *
echo+ *                     PT                                          *
echo+ *                                                                 *
echo+ *   NOTE: PT.EXE v1.0 does not support saving data to disk as     *
echo+ *         stated in the 5000 TECHNICAL REFERENCE MANUAL.  Data    *
echo+ *         output is by printer only in the following forms:       *
echo+ *                                                                 *
echo+ *         If all tests are PASSED;                                *
echo+ *                                                                 *
echo+ *             A CERTIFICATE OF COMPLIANCE is printed.             *
echo+ *                                                                 *
echo+ *         If any tests FAIL;                                      *
echo+ *                                                                 *
echo+ *             A PERFORMANCE TEST SUMMARY is printed.              *
echo+ *                                                                 *
echo+ ****                                                           ****
pause
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                                                   Page 7 of 10  *
echo+ *                                                                 *
echo+ *  Users of existing Huntron 5000 software Version 3.00 will      *
echo+ *  be required to upgrade their existing TREE files with the      *
echo+ *  CVCOMP program. The old format of the TREE files is not        *
echo+ *  compatible and will NOT work with V3.22 until it has been      *
echo+ *  converted to the new format.                                   *
echo+ *                                                                 *
echo+ *  For the sake of data security, make a backup copy of your TREE *
echo+ *  files BEFORE running CVCOMP.                                   *
echo+ *                                                                 *
echo+ *  To run CVCOMP, enter:                                          *
echo+ *                          CVCOMP                                 *
echo+ *                                                                 *
echo+ *  CVCOMP will prompt you for the pathname.  It will show an      *
echo+ *  example of the command responses.  If you run CVCOMP on your   *
echo+ *  files a second time, it will not damage them.  But it will     *
echo+ *  serve no useful function to do it twice.                       *
echo+ *                                                                 *
echo+ ****                                                           ****
pause
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                                                   Page 8 of 10  *
echo+ *                                                                 *
echo+ *       To run the 5000 software v3.22,                           *
echo+ *       AFTER completing the INSTALL program enter:               *
echo+ *                                                                 *
echo+ *                      5K                                         *
echo+ *                                                                 *
echo+ ****                                                           ****
pause
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                                                   Page 9 of 10  *
echo+ *                                                                 *
echo+ *  Version 3.22 now allows a user to create text files that can   *
echo+ *  be displayed at the View Faults Screen.  These files may be    *
echo+ *  created using any ASCII text editor.  The files are intended   *
echo+ *  to hold instructions for what to do when a component has       *
echo+ *  failed, but users may use them for any purpose they see fit.   *
echo+ *  These text files must be stored in the TREE directory.         *
echo+ *                                                                 *
echo+ *  To create the name of the text file that can be displayed      *
echo+ *  during the View Faults Screen, use the format;                 *
echo+ *                                                                 *
echo+ *       "unit number"-"board number"-"section number"-            *
echo+ *              "component number".TX"system number"               *
echo+ *                                                                 *
echo+ *  Example:  If the test screen was for component 5, section 4,   *
echo+ *         board 3, unit 2 in system 1, the file name would look   *
echo+ *         like this:      2-3-4-5.TX1                             *
echo+ *                                                                 *
echo+ ****                                                           ****
pause
cls
echo+ *******************************************************************
echo+ *                                                                 *
echo+ *                                                   Page 10 of 10 *
echo+ *                                                                 *
echo+ *       If you have any questions contact:                        *
echo+ *                                                                 *
echo+ *       Huntron Instruments, Inc.                                 *
echo+ *       TECHNICAL SUPPORT                                         *
echo+ *       15720 Mill Creek Blvd.                                    *
echo+ *       Mill Creek, WA. 98012                                     *
echo+ *                                                                 *
echo+ *       (206) 743-3171 or (800) 426-9265                          *
echo+ *                                                                 *
echo+ *                                                                 *
echo+ *                                                                 *
echo+ *                                                                 *
echo+ *                                                                 *
echo+ *                                                                 *
echo+ ********************************************************************
pause
cls
